Package de.willuhn.jameica.hbci.passports.pintan

# Class SmartCardUtil

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.SmartCardUtil

public class SmartCardUtil extends Object
Helfer-Klasse für den Zugriff auf die Smartcards.

## Constructor Summary

Constructors
Constructor
Description
`SmartCardUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`getAvailable()`
Liefert die Liste der verfügbaren Kartenleser.
`static org.kapott.hbci.smartcardio.ChipTanCardService`
`getService(String name)`
Liefert einen Smartcard-Service für den angegebenen Kartenleser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmartCardUtil

public SmartCardUtil()

## Method Details

### getAvailable

public static List<String> getAvailable()
Liefert die Liste der verfügbaren Kartenleser.

Returns:
  die Liste der verfügbaren Kartenleser. Nie NULL sondern höchstens eine leere Liste.

### getService

public static org.kapott.hbci.smartcardio.ChipTanCardService getService(String name)
Liefert einen Smartcard-Service für den angegebenen Kartenleser.

Parameters:
  `name` - optionale Angabe des Namens des Kartenlesers. Der Name kann "*" als Wildcard enthalten. In dem Fall wird der erste passende Kartenleser geliefert.
Returns:
  der Kartenleser oder NULL, wenn keiner gefunden wurde.